Skip to main content
POST
/
api
/
v1
/
partner
/
transaction-history
Transaction History
curl --request POST \
  --url https://api.example.com/api/v1/partner/transaction-history \
  --header 'Content-Type: application/json' \
  --header 'X-Partner-ID: <x-partner-id>' \
  --header 'X-Signature: <x-signature>' \
  --data '
{
  "limit": 123,
  "offset": 123
}
'

Get Transaction History

Get partner’s transaction history and current balance. Requires HMAC signature.

Endpoint

POST /api/v1/partner/transaction-history

Authentication

X-Signature
string
required
HMAC-SHA256 signature of request body
X-Partner-ID
string
required
Your partner identifier

Request Body

limit
integer
default:"20"
Number of transactions (max 100)
offset
integer
default:"0"
Pagination offset

Response

{
  "success": true,
  "partner_id": "VULT",
  "balance": "1,500,000.00 SLE",
  "transactions": [
    {
      "id": "txn_abc123",
      "type": "partner_cashin",
      "status": "completed",
      "amount": "50,000.00 SLE",
      "fee": "0.00 SLE",
      "description": "Cash-in via VULT (ref: TXN-123456)",
      "created_at": "2025-01-15T10:30:00Z",
      "subscriber": "sub_xyz789"
    }
  ],
  "total_count": 150
}

Notes

  • Returns empty transactions array if partner has no transactions yet
  • Account is created on first cash-in transaction

Errors

CodeDescription
400Invalid request
401Invalid signature